org.jboss.netty.channel

## Interface ReceiveBufferSizePredictorFactory

- All Known Implementing Classes:
    AdaptiveReceiveBufferSizePredictorFactory, FixedReceiveBufferSizePredictorFactory

      public interface ReceiveBufferSizePredictorFactory

  Creates a new `ReceiveBufferSizePredictor`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReceiveBufferSizePredictor` | `getPredictor()` Returns a newly created `ReceiveBufferSizePredictor`.

- - ### Method Detail

    - #### getPredictor

          ReceiveBufferSizePredictor getPredictor()
                                                  throws Exception

      Returns a newly created `ReceiveBufferSizePredictor`.
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.